/*cmshft compute effects of comptonization */
#include "cddefines.h"
#include "rfield.h"
#include "compton.h"
#include "cmshft.h"

void cmshft(void)
{
	long int i;

#	ifdef DEBUG_FUN
	fputs( "<+>cmshft()\n", debug_fp );
#	endif

	/* first check whether compton scattering is in as heat/cool */
	if( Compton.comoff == 0. )
	{ 
#		ifdef DEBUG_FUN
		fputs( " <->cmshft()\n", debug_fp );
#		endif
		return;
	}

	if( Compton.comoff != 0. )
	{ 
#		ifdef DEBUG_FUN
		fputs( " <->cmshft()\n", debug_fp );
#		endif
		return;
	}

	/* do reshuffle */
	for( i=0; i < rfield.nflux; i++ )
	{
		continue;
		/* watch this space for some really great code!!!!
		 * COMUP needs factor of TE to be compton cooling */
	}


#	ifdef DEBUG_FUN
	fputs( " <->cmshft()\n", debug_fp );
#	endif
	return;
}

